Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.transformer
Class KeyIterator

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.axes.LocPathIterator
                  |
                  +--org.apache.xalan.transformer.KeyIterator

public class KeyIterator
extends LocPathIterator

Fields inherited from class org.apache.xpath.axes.LocPathIterator
`m_waiting`

Constructor Summary
`KeyIterator(Node doc, PrefixResolver nscontext, QName name, java.util.Vector keyDeclarations, XPathContext xctxt)`

Method Summary
`java.util.Vector` | `getKeyDeclarations()`
`QName` | `getName()`
`Node` | `nextNode()`
`void` | `setLookupKey(java.lang.String lookupKey)`

Methods inherited from class org.apache.xpath.axes.LocPathIterator
`addToWaitList, clone, cloneWithReset, detach, execute, getContext, getCurrentContextNode, getCurrentNode, getCurrentPos, getDOMHelper, getExpandEntityReferences, getFilter, getFirstWalker, getFoundLast, getLastUsedWalker, getLength, getPrefixResolver, getRoot, getStackFrameIndex, getWhatToShow, getXPathContext, initContext, isFresh, item, previousNode, removeFromWaitList, reset, runTo, setCurrentContextNode, setCurrentPos, setLastUsedWalker, setShouldCacheNodes, size`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyIterator

    public KeyIterator(Node doc,
                       PrefixResolver nscontext,
                       QName name,
                       java.util.Vector keyDeclarations,
                       XPathContext xctxt)

Method Detail

### getName

    public QName getName()

### getKeyDeclarations

    public java.util.Vector getKeyDeclarations()

### nextNode

    public Node nextNode()
                  throws DOMException

  Overrides:
    nextNode in class LocPathIterator

### setLookupKey

    public void setLookupKey(java.lang.String lookupKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.